# Class: pyzor
#
#
class pyzor {
    package { "pyzor":
        ensure => installed,
    }

    file {"/var/lib/pyzor":
        owner   => root,
        group   => mail,
        mode    => 774,
        ensure  => directory,
        require => Package["pyzor"],
    }

    exec { "pyzor-discover":
        command => "pyzor --homedir /var/lib/pyzor discover",
        require => File["/var/lib/pyzor"],
        unless => "ls /var/lib/pyzor/servers",
    }

    exec { "fix-pyzor-config-perms":
        command => "chown exim /var/lib/pyzor/servers",
        require => Exec["pyzor-discover"],
        unless => "ls -l /var/lib/pyzor/servers |grep exim",
    }
}